import { ElementRef, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DateModel } from '../calendar/calendar.model';
import { DatePickerModel } from './datepicker.model';
import { FormFieldAbstract } from '../form/form-field.abstract';
export declare class DatePickerComponent extends FormFieldAbstract implements ControlValueAccessor, OnInit {
    static readonly DAY_KEY = "dd";
    static readonly MONTH_KEY = "mm";
    static readonly YEAR_KEY = "yyyy";
    static readonly defaultProps: DatePickerModel;
    backdropRef: ElementRef;
    classNameInput: string;
    disabledInput: boolean;
    floatLabelInput: string;
    formatInput: string;
    fullSizeInput: boolean;
    idInput: string | null;
    nameInput: string;
    placeholderInput: string;
    requiredInput: boolean;
    valueInput: string;
    className: string;
    date: Date;
    disabled: boolean;
    floatLabel: string;
    format: string;
    fullSize: boolean;
    id: string | null;
    isOpen: boolean;
    name: string;
    placeholder: string;
    required: boolean;
    value: string;
    constructor();
    ngOnInit(): void;
    initValues(): void;
    onSelectDay(selectedDate: DateModel): void;
    formatDate(date: Date): string;
    buildDate(value: string): Date;
    open(): void;
    close(): void;
    onInputChange(value: string): void;
    onInputFocus(): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    onChange(value: string): void;
    onTouched(): void;
}
